XMLInputSource (Xerces Native Interface)
Date: 2016-02-03

org.apache.xerces.xni.parser

## Class XMLInputSource

- java.lang.Object
- - org.apache.xerces.xni.parser.XMLInputSource

-     public class XMLInputSource
      extends java.lang.Object

  This class represents an input source for an XML document. The basic properties of an input source are the following:
  - public identifier
  - system identifier
  - byte stream or character stream
  Version:
    $Id: XMLInputSource.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Andy Clark, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fBaseSystemId` Base system identifier.
    `protected java.io.InputStream` | `fByteStream` Byte stream.
    `protected java.io.Reader` | `fCharStream` Character stream.
    `protected java.lang.String` | `fEncoding` Encoding.
    `protected java.lang.String` | `fPublicId` Public identifier.
    `protected java.lang.String` | `fSystemId` System identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLInputSource(java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId)` Constructs an input source from just the public and system identifiers, leaving resolution of the entity and opening of the input stream up to the caller.
    `XMLInputSource(java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId, java.io.InputStream byteStream, java.lang.String encoding)` Constructs an input source from a byte stream.
    `XMLInputSource(java.lang.String publicId, java.lang.String systemId, java.lang.String baseSystemId, java.io.Reader charStream, java.lang.String encoding)` Constructs an input source from a character stream.
    `XMLInputSource(XMLResourceIdentifier resourceIdentifier)` Constructs an input source from a XMLResourceIdentifier object, leaving resolution of the entity and opening of the input stream up to the caller.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseSystemId()` Returns the base system identifier.
    `java.io.InputStream` | `getByteStream()` Returns the byte stream.
    `java.io.Reader` | `getCharacterStream()` Returns the character stream.
    `java.lang.String` | `getEncoding()` Returns the encoding of the stream, or null if not known.
    `java.lang.String` | `getPublicId()` Returns the public identifier.
    `java.lang.String` | `getSystemId()` Returns the system identifier.
    `void` | `setBaseSystemId(java.lang.String baseSystemId)` Sets the base system identifier.
    `void` | `setByteStream(java.io.InputStream byteStream)` Sets the byte stream.
    `void` | `setCharacterStream(java.io.Reader charStream)` Sets the character stream.
    `void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the stream.
    `void` | `setPublicId(java.lang.String publicId)` Sets the public identifier.
    `void` | `setSystemId(java.lang.String systemId)` Sets the system identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fPublicId

          protected java.lang.String fPublicId

      Public identifier.

    - #### fSystemId

          protected java.lang.String fSystemId

      System identifier.

    - #### fBaseSystemId

          protected java.lang.String fBaseSystemId

      Base system identifier.

    - #### fByteStream

          protected java.io.InputStream fByteStream

      Byte stream.

    - #### fCharStream

          protected java.io.Reader fCharStream

      Character stream.

    - #### fEncoding

          protected java.lang.String fEncoding

      Encoding.

  - ### Constructor Detail

    - #### XMLInputSource

          public XMLInputSource(java.lang.String publicId,
                        java.lang.String systemId,
                        java.lang.String baseSystemId)

      Constructs an input source from just the public and system identifiers, leaving resolution of the entity and opening of the input stream up to the caller.
      Parameters:
        `publicId` - The public identifier, if known.
        `systemId` - The system identifier. This value should always be set, if possible, and can be relative or absolute. If the system identifier is relative, then the base system identifier should be set.
        `baseSystemId` - The base system identifier. This value should always be set to the fully expanded URI of the base system identifier, if possible.

    - #### XMLInputSource

          public XMLInputSource(XMLResourceIdentifier resourceIdentifier)

      Constructs an input source from a XMLResourceIdentifier object, leaving resolution of the entity and opening of the input stream up to the caller.
      Parameters:
        `resourceIdentifier` - the XMLResourceIdentifier containing the information

    - #### XMLInputSource

          public XMLInputSource(java.lang.String publicId,
                        java.lang.String systemId,
                        java.lang.String baseSystemId,
                        java.io.InputStream byteStream,
                        java.lang.String encoding)

      Constructs an input source from a byte stream.
      Parameters:
        `publicId` - The public identifier, if known.
        `systemId` - The system identifier. This value should always be set, if possible, and can be relative or absolute. If the system identifier is relative, then the base system identifier should be set.
        `baseSystemId` - The base system identifier. This value should always be set to the fully expanded URI of the base system identifier, if possible.
        `byteStream` - The byte stream.
        `encoding` - The encoding of the byte stream, if known.

    - #### XMLInputSource

          public XMLInputSource(java.lang.String publicId,
                        java.lang.String systemId,
                        java.lang.String baseSystemId,
                        java.io.Reader charStream,
                        java.lang.String encoding)

      Constructs an input source from a character stream.
      Parameters:
        `publicId` - The public identifier, if known.
        `systemId` - The system identifier. This value should always be set, if possible, and can be relative or absolute. If the system identifier is relative, then the base system identifier should be set.
        `baseSystemId` - The base system identifier. This value should always be set to the fully expanded URI of the base system identifier, if possible.
        `charStream` - The character stream.
        `encoding` - The original encoding of the byte stream used by the reader, if known.

  - ### Method Detail

    - #### setPublicId

          public void setPublicId(java.lang.String publicId)

      Sets the public identifier.
      Parameters:
        `publicId` - The new public identifier.

    - #### getPublicId

          public java.lang.String getPublicId()

      Returns the public identifier.

    - #### setSystemId

          public void setSystemId(java.lang.String systemId)

      Sets the system identifier.
      Parameters:
        `systemId` - The new system identifier.

    - #### getSystemId

          public java.lang.String getSystemId()

      Returns the system identifier.

    - #### setBaseSystemId

          public void setBaseSystemId(java.lang.String baseSystemId)

      Sets the base system identifier.
      Parameters:
        `baseSystemId` - The new base system identifier.

    - #### getBaseSystemId

          public java.lang.String getBaseSystemId()

      Returns the base system identifier.

    - #### setByteStream

          public void setByteStream(java.io.InputStream byteStream)

      Sets the byte stream. If the byte stream is not already opened when this object is instantiated, then the code that opens the stream should also set the byte stream on this object. Also, if the encoding is auto-detected, then the encoding should also be set on this object.
      Parameters:
        `byteStream` - The new byte stream.

    - #### getByteStream

          public java.io.InputStream getByteStream()

      Returns the byte stream.

    - #### setCharacterStream

          public void setCharacterStream(java.io.Reader charStream)

      Sets the character stream. If the character stream is not already opened when this object is instantiated, then the code that opens the stream should also set the character stream on this object. Also, the encoding of the byte stream used by the reader should also be set on this object, if known.
      Parameters:
        `charStream` - The new character stream.
      See Also:
        `setEncoding(java.lang.String)`

    - #### getCharacterStream

          public java.io.Reader getCharacterStream()

      Returns the character stream.

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

      Sets the encoding of the stream.
      Parameters:
        `encoding` - The new encoding.

    - #### getEncoding

          public java.lang.String getEncoding()

      Returns the encoding of the stream, or null if not known.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.